'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var isInload = function isInload(attribute) {
  return attribute.type === 'JSXAttribute' && attribute.name.name === 'in-load';
};
var isntInload = function isntInload(x) {
  return !isInload(x);
};

exports.default = function (_ref) {
  var t = _ref.types;
  return {
    visitor: {
      JSXElement: function JSXElement(path) {
        var node = path.node;

        var attributes = node.openingElement.attributes;
        if (!attributes) return;
        var ifAttribute = attributes.filter(isInload)[0];
        if (ifAttribute) {
          var opening = t.JSXOpeningElement(node.openingElement.name, attributes.filter(isntInload));
          var tag = t.JSXElement(opening, node.closingElement, node.children);

          var inLoadingOpening = t.JSXOpeningElement('InLoading', null);
          var loadingTag = t.JSXElement(inLoadingOpening, node.closingElement, node.children);

          var conditional = t.conditionalExpression(ifAttribute.value.expression, tag, loadingTag);
          path.replaceWith(conditional);
        }
      }
    }
  };
};